#include <bits/stdc++.h>
#define MAXN 300005
#define MAXK 600005
#define MOD 998244353
#define pii pair<int, int>
#define ll long long
using namespace std;

#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
using namespace __gnu_pbds;

#define ordered_set tree<pii, null_type,less<pii>, rb_tree_tag,tree_order_statistics_node_update>

void solve() {

    int n;
    ll l;
    cin>>n>>l;

    ll ans = -1;
    for(int i = 0; i<n; i++)
    {
        int x;cin>>x;
        if(ans==-1 && x<=l)ans=i+1;
    }

    cout<<ans<<"\n";

}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    //int t;cin>>t;
    int t = 1;
    while (t--) {
        solve();
    }

    return 0;
}